Subject: Re: Linking problem under NT (dlltool)
From: [email-masked] (Andre Couture)

23 Jul 1997 17:45:33 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: multipart/alternative; boundary="------------997613D1044F64690B32C93E"
X-Authentication-Warning: internet: Host [198.53.230.150] claimed to be thunder.search-n-find.com
X-Mailer: Mozilla 4.01b6C [en] (X11; I; Linux 2.1.40 i686)
Original-To: [email-masked]
X-Priority: 3 (Normal)
Original-Sender: [email-masked]

--------------997613D1044F64690B32C93E
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

Ok, I found my problem,
I had to use "dlltool" to generate the proper lib file.

Is there any documentation on dlltool???

Thanks
AC

Andre Couture wrote:

>
>
> Hi there,
>
> I justed installed the b18 version, seem to work fine.
>
> Now I tried to compile a unix version  of a tool I have that uses SQL.
> The 'C' file compile properly but when trying to link I get all the
> SQL stuff as "undefined"
>
> So my question is how do I get them to properly look at the proper dll
> or ???
>
> Function like;
> SQLAllocateStmt
> SQLConnect
> SQLFreeStmt
>
> are standard in Windows NT.
> I've tried with "-lodbc32" but still no luck.
>
> Can somebody help me?
> Thanks
> /AC
> --
> -----------------------------------------------------------------------
> Andre Couture
> 938934 Ontario Inc.
> mailto:[email-masked]
> http://www.search-n-find.com/
>

--
------------------------------------------------------------------------
Andre Couture
938934 Ontario Inc.
mailto:[email-masked]
http://www.search-n-find.com/

--------------997613D1044F64690B32C93E
Content-Type: text/html; charset=us-ascii
Content-Transfer-Encoding: 7bit

<HTML>
Ok, I&nbsp;found my problem,
<BR>I had to use "dlltool" to generate the proper lib file.

<P>Is there any documentation on dlltool???

<P>Thanks
<BR>AC

<P>Andre Couture wrote:
<BLOCKQUOTE TYPE=CITE>&nbsp;

<P>Hi there,

<P>I justed installed the b18 version, seem to work fine.

<P>Now I tried to compile a unix version&nbsp; of a tool I have that uses
SQL. The 'C' file compile properly but when trying to link I get all the
SQL stuff as "undefined"

<P>So my question is how do I get them to properly look at the proper dll
or ???

<P>Function like;
<BR>SQLAllocateStmt
<BR>SQLConnect
<BR>SQLFreeStmt

<P>are standard in Windows NT.
<BR>I've tried with "-lodbc32" but still no luck.

<P>Can somebody help me?
<BR>Thanks
<BR>/AC
<BR>--&nbsp;
<HR><B><I><FONT COLOR="#008080"><FONT SIZE=+2>Andre Couture</FONT></FONT></I></B>
<BR><B><I><FONT COLOR="#4299A7">938934 Ontario Inc.</FONT></I></B>
<BR><FONT COLOR="#6666CC"><A HREF="mailto:[email-masked]">mailto:[email-masked]</A></FONT>
<BR><B><I><FONT COLOR="#6666CC"><A HREF="http://www.search-n-find.com/">http://www.search-n-find.com/</A></FONT></I></B>
<BR>&nbsp;</BLOCKQUOTE>
&nbsp;
<BR>--&nbsp;
<HR><B><I><FONT COLOR="#008080"><FONT SIZE=+2>Andre Couture</FONT></FONT></I></B>
<BR><B><I><FONT COLOR="#4299A7">938934 Ontario Inc.</FONT></I></B>
<BR><FONT COLOR="#6666CC"><A HREF="mailto:[email-masked]">mailto:[email-masked]</A></FONT>
<BR><B><I><FONT COLOR="#6666CC"><A HREF="http://www.search-n-find.com/">http://www.search-n-find.com/</A></FONT></I></B>
<BR>&nbsp;</HTML>

--------------997613D1044F64690B32C93E--

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".